Package org.osgi.framework.dto

# Class FrameworkDTO

java.lang.Object
org.osgi.dto.DTO
org.osgi.framework.dto.FrameworkDTO

public class FrameworkDTO extends DTO
Data Transfer Object for a Framework.

The System Bundle can be adapted to provide a `FrameworkDTO` for the framework of the system bundle. A `FrameworkDTO` obtained from a framework will contain only the launch properties of the framework. These properties will not include the System properties.

## Field Summary

Fields
Modifier and Type
Field
Description
`List<BundleDTO>`
`bundles`
The bundles that are installed in the framework.
`Map<String,Object>`
`properties`
The launch properties of the framework.
`List<ServiceReferenceDTO>`
`services`
The services that are registered in the framework.

## Constructor Summary

Constructors
Constructor
Description
`FrameworkDTO()`

## Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### bundles

public List<BundleDTO> bundles
The bundles that are installed in the framework.

See Also:
  - `BundleContext.getBundles()`

### properties

public Map<String,Object> properties
The launch properties of the framework. The value type must be a numerical type, Boolean, String, DTO or an array of any of the former.

See Also:
  - `BundleContext.getProperty(String)`

### services

public List<ServiceReferenceDTO> services
The services that are registered in the framework.

See Also:
  - `BundleContext.getServiceReferences(String, String)`

## Constructor Details

### FrameworkDTO

public FrameworkDTO()